import { CoreConfig } from "./core-interface";
export interface RegSuitConfiguration {
    core: CoreConfig;
    plugins?: {
        [key: string]: any;
    };
}
export declare class ConfigManager {
    readConfig(configFileName?: string): {
        readUserConfig: boolean;
        config: RegSuitConfiguration;
    };
    writeConfig(config: RegSuitConfiguration, configFileName?: string): void;
    private _getConfigPath(configFileName);
}
declare const configManager: ConfigManager;
export default configManager;
