import { Logger } from "./core-interface";
export declare type LogLevel = "verbose" | "info" | "silent";
export declare class RegLogger implements Logger {
    _level: LogLevel;
    constructor();
    info(msg: string): void;
    warn(msg: string): void;
    error(obj: string | Error): void;
    verbose(msg: string): void;
}
declare const regLogger: RegLogger;
export default regLogger;
