"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// TODO chalk, plugin category setter, --no-color opt
class RegLogger {
    constructor() {
        this._level = "info";
    }
    info(msg) {
        if (this._level !== "silent") {
            console.log(msg);
        }
    }
    warn(msg) {
        if (this._level !== "silent") {
            console.warn(msg);
        }
    }
    error(obj) {
        if (this._level !== "silent") {
            console.error(obj);
        }
    }
    verbose(msg) {
        if (this._level === "verbose") {
            console.log(msg);
        }
    }
}
exports.RegLogger = RegLogger;
const regLogger = new RegLogger();
exports.default = regLogger;
